# drone

[![Build Status](https://drone.autonomic.zone/api/badges/compose-stacks/drone/status.svg)](https://drone.autonomic.zone/compose-stacks/drone)

> https://drone.io

1. Set up Docker Swarm and [`abra`][abra]
2. Deploy [`compose-stacks/traefik`][compose-traefik]
3. `cp .envrc.sample .envrc`
4. Edit `.envrc` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `direnv allow` (or `. .envrc`)
7. `abra deploy`


## Authentication

### Gitea / Github

1. Edit `.envrc.sample` and uncomment the Gitea lines, including 
   `COMPOSE_FILE`. 
3. (For Gitea) Set `GITEA_DOMAIN` as appropriate
3. Create a new OAuth app in Github / Gitea and put the client ID into
	 `GITEA_CLIENT_ID`.
4. Store the client secret:
   ```
   abra secret insert client_secret v1 put-your-secret-here
   ```
5. `direnv allow` (or `. .envrc`)
7. `abra deploy`
